import { Router } from 'express';
import userController from '../controllers/user.controller';
import { authenticate } from '../middleware/auth.middleware';

const router = Router();

/**
 * @route   GET /api/user/me
 * @desc    Get current authenticated user
 * @access  Private
 */
router.get('/me', authenticate, userController.getCurrentUser);

export default router;
